Skip to main content
POST
Create a mass payment instruction
Create a new mass payment instruction in async mode only. A mass payment instruction requires either a single sell currency or existing trade ID to be specified in order to create an instruction. Note that within a mass payment instruction it is not possible to use different sell currencies per payment.
Please note that if a trade ID is being passed in the request, the payments in a mass payment instruction must be of the same BUY currency.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

client_id
string
required

The ID of the client

vop_authorization_id
string

VoP authorization ID to confirm not full-match payment

Body

application/json

Request Payload

auto_commit
boolean
required

If true, send successful instructions for payment. If false, hold until customer hits commit endpoint.

payment_instructions
object[]
required

Array of multiple payment instruction given by the customer.

external_reference_id
string
default:""

The external reference: unique ID supplied by customer which can be used later to filter.

sell_currency
string

If trade_id omitted, sell_currency must be supplied.

trade_id
string

Trade ID to book payments against. If customer wants the trade to be auto booked then this parameter should not be supplied.

Response

Masspayment request accepted, see response body for status

mass_payment_id
string<uuid>

The UUID of the MassPayment just created

external_reference_id
string

The external reference for the MassPayment, if supplied

mass_payment_status
enum<string>

This is an enumeration of the status of a MassPayment

Available options:
Queued for processing,
Processing,
Processed,
Queued for creating,
Creating,
Created,
Cancelled,
Failed